Package org.eclipse.birt.report.model.api

# Class EmptyGroupElementHandle

java.lang.Object
org.eclipse.birt.report.model.api.GroupElementHandle
org.eclipse.birt.report.model.api.EmptyGroupElementHandle

public class EmptyGroupElementHandle extends GroupElementHandle
Implements an empty group element handle, which actually can do nothing.

## Constructor Summary

Constructors
Constructor
Description
`EmptyGroupElementHandle()`

## Method Summary

Modifier and Type
Method
Description
`protected boolean`
`allExtendedElements()`
Checks if all elements have extends parents or virtual parents.
`void`
`clearLocalProperties()`
Clears values of all common properties(except the extends property) for the given collection of elements.
`void`
`clearLocalPropertiesIncludeSubElement()`
Clears values of all common properties(except the extends property) for the given collection of elements.
`List`
`getCommonProperties()`
Returns the common properties shared by the given group of elements(including user properties).
`List`
`getElements()`
Returns the list that contains the group of design elements.
`org.eclipse.birt.report.model.core.Module`
`getModule()`
Returns the module.
`ModuleHandle`
`getModuleHandle()`
Returns the handle of module.
`GroupPropertyHandle`
`getPropertyHandle(String propName)`
If property is shared by the group of elements, return the corresponding `GroupPropertyHandle`, otherwise, return `null`.
`boolean`
`isExtendedElements()`
Returns `true` if each of the given collection of element extends has a parent.
`protected boolean`
`isInGroup(DesignElementHandle element)`
Checks whether the `element` is a member of `GroupElementHandle`.
`protected boolean`
`isPropertyReadOnly(String propName)`
Checks whether a property is read-only in the property sheet.
`protected boolean`
`isPropertyVisible(String propName)`
Checks whether a property is visible in the property sheet.
`boolean`
`isSameType()`
Indicates that if the given elements are of the same definition.
`Iterator`
`visiblePropertyIterator()`
Returns an iterator over the common properties that are visible.

### Methods inherited from class org.eclipse.birt.report.model.api.GroupElementHandle

`clearProperty, getDisplayProperty, getLocalStringProperty, getStringProperty, hasLocalPropertiesForExtendedElements, hasLocalPropertiesIncludeSubElement, hasLocalPropertiesIncludeSubElement, propertyIterator, setProperty, setStringProperty, shareSameValue`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### EmptyGroupElementHandle

public EmptyGroupElementHandle()

## Method Details

### allExtendedElements

protected boolean allExtendedElements()
Description copied from class: `GroupElementHandle`
Checks if all elements have extends parents or virtual parents.

Specified by:
  `allExtendedElements` in class `GroupElementHandle`
Returns:
  `true` If all elements have extend parents or virtual parents. Otherwise `false`;

### getElements

public List getElements()
Description copied from class: `GroupElementHandle`
Returns the list that contains the group of design elements. Contents of it is `DesignElementHandle`

Specified by:
  `getElements` in class `GroupElementHandle`
Returns:
  the list that contains the group of design elements.

### getModule

public org.eclipse.birt.report.model.core.Module getModule()
Description copied from class: `GroupElementHandle`
Returns the module.

Specified by:
  `getModule` in class `GroupElementHandle`
Returns:
  the module

### getModuleHandle

public ModuleHandle getModuleHandle()
Description copied from class: `GroupElementHandle`
Returns the handle of module.

Specified by:
  `getModuleHandle` in class `GroupElementHandle`
Returns:
  the handle of module

### isSameType

public boolean isSameType()
Description copied from class: `GroupElementHandle`
Indicates that if the given elements are of the same definition. Elements are considered of same type if their element definitions are identical.

If elements have different definitions. Even the same element type, the return value is `false`. For example, if the list contains an `OdaDataSource` and a `OdaDataSource`, this method returns `false`.

Specified by:
  `isSameType` in class `GroupElementHandle`
Returns:
  `true` if the given elements are of the same type; return `false` if elements are of different element types, or the given list is empty, or the list contains any object that is not an instance of `DesignElementHandle`.

### getCommonProperties

public List getCommonProperties()
Description copied from class: `GroupElementHandle`
Returns the common properties shared by the given group of elements(including user properties). Contents of the list is element property definitions. If elements do not share any common property, return an empty list.

Specified by:
  `getCommonProperties` in class `GroupElementHandle`
Returns:
  the common properties shared by the given group of elements. If elements do not share any common property, or the given list is empty, or the list contains any item that is not an instance of `DesignElementHandle`, return an empty list.

### visiblePropertyIterator

public Iterator visiblePropertyIterator()
Description copied from class: `GroupElementHandle`
Returns an iterator over the common properties that are visible. Contents of the iterator are handles to the common properties, type of them is `GroupPropertyHandle`. Note: remove is not support for the iterator.

Specified by:
  `visiblePropertyIterator` in class `GroupElementHandle`
Returns:
  an iterator over the common properties. Contents of the iterator are handles to the common properties, type of them is `GroupPropertyHandle`

### isPropertyVisible

protected boolean isPropertyVisible(String propName)
Description copied from class: `GroupElementHandle`
Checks whether a property is visible in the property sheet. The visible property is visible in all `elements`.

Specified by:
  `isPropertyVisible` in class `GroupElementHandle`
Parameters:
  `propName` - the property name
Returns:
  `true` if it is visible. Otherwise `false`.

### clearLocalProperties

public void clearLocalProperties() throws SemanticException
Description copied from class: `GroupElementHandle`
Clears values of all common properties(except the extends property) for the given collection of elements. Clearing a property removes any value set for the property on this element. After this, the element will now inherit the property from its parent element, style, or from the default value for the property. Note: this method clear the values of local properties ( not include sub element)

Specified by:
  `clearLocalProperties` in class `GroupElementHandle`
Throws:
  `SemanticException` - if the property is not defined on this element

### isExtendedElements

public boolean isExtendedElements()
Description copied from class: `GroupElementHandle`
Returns `true` if each of the given collection of element extends has a parent. Returns `false` otherwise. If the collection has no elements, also return `false`

Specified by:
  `isExtendedElements` in class `GroupElementHandle`
Returns:
  `true` if each of the given collection of element extends has a parent. Returns `false` otherwise. If the collection has no elements, also return `false`

### isPropertyReadOnly

protected boolean isPropertyReadOnly(String propName)
Description copied from class: `GroupElementHandle`
Checks whether a property is read-only in the property sheet. The visible property is read-only in all `elements`.

Specified by:
  `isPropertyReadOnly` in class `GroupElementHandle`
Parameters:
  `propName` - the property name
Returns:
  `true` if it is read-only. Otherwise `false`.

### getPropertyHandle

public GroupPropertyHandle getPropertyHandle(String propName)
Description copied from class: `GroupElementHandle`
If property is shared by the group of elements, return the corresponding `GroupPropertyHandle`, otherwise, return `null`.

Specified by:
  `getPropertyHandle` in class `GroupElementHandle`
Parameters:
  `propName` - name of the property needs to be handled.
Returns:
  If the property is a common property among the elements, return the corresponding `GroupPropertyHandle`; Otherwise return `null`.

### isInGroup

protected boolean isInGroup(DesignElementHandle element)
Description copied from class: `GroupElementHandle`
Checks whether the `element` is a member of `GroupElementHandle`.

Specified by:
  `isInGroup` in class `GroupElementHandle`
Parameters:
  `element` - the element to check
Returns:
  `true` if the element is in the list, otherwise `false`.

### clearLocalPropertiesIncludeSubElement

public void clearLocalPropertiesIncludeSubElement() throws SemanticException
Description copied from class: `GroupElementHandle`
Clears values of all common properties(except the extends property) for the given collection of elements. Clearing a property removes any value set for the property on this element. After this, the element will now inherit the property from its parent element, style, or from the default value for the property. Note: this method clear all the values of local properties (include sub element)

Specified by:
  `clearLocalPropertiesIncludeSubElement` in class `GroupElementHandle`
Throws:
  `SemanticException` - if the property is not defined on this element